aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-devtools/nlohmann-json/files/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-devtools/nlohmann-json/files/run-ptest')
-rwxr-xr-xmeta-oe/recipes-devtools/nlohmann-json/files/run-ptest12
1 files changed, 12 insertions, 0 deletions
diff --git a/meta-oe/recipes-devtools/nlohmann-json/files/run-ptest b/meta-oe/recipes-devtools/nlohmann-json/files/run-ptest
new file mode 100755
index 0000000000..2f00267d50
--- /dev/null
+++ b/meta-oe/recipes-devtools/nlohmann-json/files/run-ptest
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+cd tests
+for atest in test-* ; do
+ rm -rf tests.log
+ ./${atest} > tests.log 2>&1
+ if [ $? = 0 ] ; then
+ echo "PASS: ${atest}"
+ else
+ echo "FAIL: ${atest}"
+ fi
+done